libzypp: zypp::LocksRemovePredicate Class Reference

libzypp 17.38.11

zypp::LocksRemovePredicate Class Reference

## Public Member Functions
| LocksRemovePredicate (std::set< sat::Solvable > &s, const PoolQuery &q, callback::SendReport< SavingLocksReport > &r)
bool | operator() (const PoolQuery &q)
bool | aborted ()

## Private Member Functions
int | contains (const PoolQuery &q, std::set< sat::Solvable > &s)

## Private Attributes
std::set< sat::Solvable > & | solvs
const PoolQuery & | query
callback::SendReport< SavingLocksReport > & | report
bool | aborted_

## Detailed Description

Definition at line 345 of file Locks.cc.

## Constructor & Destructor Documentation

## ◆ LocksRemovePredicate()

zypp::LocksRemovePredicate::LocksRemovePredicate | ( | std::set< sat::Solvable > & | s,
|  | const PoolQuery & | q,
|  | callback::SendReport< SavingLocksReport > & | r )
| inline

Definition at line 373 of file Locks.cc.

## Member Function Documentation

## ◆ contains()

int zypp::LocksRemovePredicate::contains | ( | const PoolQuery & | q,
|  | std::set< sat::Solvable > & | s )
| inlineprivate

Definition at line 354 of file Locks.cc.

## ◆ operator()()

bool zypp::LocksRemovePredicate::operator() | ( | const PoolQuery & | q | ) |
| inline

Definition at line 377 of file Locks.cc.

## ◆ aborted()

bool zypp::LocksRemovePredicate::aborted | ( |  | ) |
| inline

Definition at line 419 of file Locks.cc.

## Member Data Documentation

## ◆ solvs

std::set<sat::Solvable>& zypp::LocksRemovePredicate::solvs
| private

Definition at line 348 of file Locks.cc.

## ◆ query

const PoolQuery& zypp::LocksRemovePredicate::query
| private

Definition at line 349 of file Locks.cc.

## ◆ report

callback::SendReport<SavingLocksReport>& zypp::LocksRemovePredicate::report
| private

Definition at line 350 of file Locks.cc.

## ◆ aborted_

bool zypp::LocksRemovePredicate::aborted_
| private

Definition at line 351 of file Locks.cc.

The documentation for this class was generated from the following file:

- zypp/Locks.cc